Region.EvictionType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.configuration, class: Region, enum: EvictionType

Package org.apache.geode.management.configuration

# Enum Class Region.EvictionType

java.lang.Object
java.lang.Enum<Region.EvictionType>
org.apache.geode.management.configuration.Region.EvictionType

All Implemented Interfaces:
  `Serializable`, `Comparable<Region.EvictionType>`, `Constable`

Enclosing class:
  Region

public static enum Region.EvictionType extends Enum<Region.EvictionType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENTRY_COUNT`
  `HEAP_PERCENTAGE`
  `MEMORY_SIZE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Region.EvictionType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Region.EvictionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENTRY_COUNT

    public static final Region.EvictionType ENTRY_COUNT

  - ### MEMORY_SIZE

    public static final Region.EvictionType MEMORY_SIZE

  - ### HEAP_PERCENTAGE

    public static final Region.EvictionType HEAP_PERCENTAGE

- ## Method Details

  - ### values

    public static Region.EvictionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Region.EvictionType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null